version: '3.8'

services:
  ln-vdc:
    image: harbor.lnh2e.com/lingniu-v1/ln-vdc:main-1.0.0
    ports:
      - "8112:80"
    restart: unless-stopped
    healthcheck:
      test: ["CMD", "wget", "-qO-", "http://127.0.0.1/healthz"]
      interval: 30s
      timeout: 3s
      retries: 3
      start_period: 5s
    deploy:
      replicas: 1
      restart_policy:
        condition: on-failure
      placement:
        constraints: [node.role == manager]
      labels:
        - portainer.hide=false
        - project=lingniu
